#!/usr/bin/python
# -*- coding: utf-8 -*-
#
#    Logaricheck - a tool to check disk, memory and swap usage with intelligent thresolds.
#
#    Copyright (C) 2006-2010  Révolution Linux (http://www.revolutionlinux.com)
#              (C) 2006-2010  Guillaume Pratte <guillaume.pratte@revolutionlinux.com>
#              (C) 2010       Michael Jeanson <mjeanson@rlnx.com>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

# Minimal setup.py file for Debian packaging.

import os
from distutils.core import setup

nagios_plugins_dir = '/usr/lib/nagios/plugins'
conf_dir = '/etc/logaricheck'

data_files_list = []
data_files_list.append((nagios_plugins_dir, ["src/check_logaricheck"]))
data_files_list.append((conf_dir, ["conf/logaricheck.conf"]))

setup(name='logaricheck',
      version='0.6.1',
      data_files = data_files_list
)

# Renders the script executable for the Debian package.
try:
        os.chmod("debian/logaricheck" + nagios_plugins_dir + "/check_logaricheck", 0755)
except:
        pass

